LongToEnglishQueryMaker (Lucene 10.5.1 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.feeds, class: LongToEnglishQueryMaker

Package org.apache.lucene.benchmark.byTask.feeds

# Class LongToEnglishQueryMaker

java.lang.Object
org.apache.lucene.benchmark.byTask.feeds.LongToEnglishQueryMaker

All Implemented Interfaces:
  `QueryMaker`

public class LongToEnglishQueryMaker extends Object implements QueryMaker
Creates queries whose content is a spelled-out `long` number starting from ``Long.MIN_VALUE` + 10`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected QueryParser`
  `parser`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongToEnglishQueryMaker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Query`
  `makeQuery()`
  Create the next query
  `Query`
  `makeQuery(int size)`
  Create the next query, of the given size.
  `String`
  `printQueries()`
  Print the queries
  `void`
  `resetInputs()`
  Reset inputs so that the test run would behave, input wise, as if it just started.
  `void`
  `setConfig(Config config)`
  Set the properties

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parser

    protected QueryParser parser

- ## Constructor Details

  - ### LongToEnglishQueryMaker

    public LongToEnglishQueryMaker()

- ## Method Details

  - ### makeQuery

    public Query makeQuery(int size) throws Exception
    Description copied from interface: `QueryMaker`
    Create the next query, of the given size.
    Specified by:
      `makeQuery` in interface `QueryMaker`
    Parameters:
      `size` - the size of the query - number of terms, etc.
    Throws:
      `Exception` - if cannot make the query, or if size > 0 was specified but this feature is not supported.

  - ### makeQuery

    public Query makeQuery() throws Exception
    Description copied from interface: `QueryMaker`
    Create the next query
    Specified by:
      `makeQuery` in interface `QueryMaker`
    Throws:
      `Exception`

  - ### setConfig

    public void setConfig(Config config) throws Exception
    Description copied from interface: `QueryMaker`
    Set the properties
    Specified by:
      `setConfig` in interface `QueryMaker`
    Throws:
      `Exception`

  - ### resetInputs

    public void resetInputs()
    Description copied from interface: `QueryMaker`
    Reset inputs so that the test run would behave, input wise, as if it just started.
    Specified by:
      `resetInputs` in interface `QueryMaker`

  - ### printQueries

    public String printQueries()
    Description copied from interface: `QueryMaker`
    Print the queries
    Specified by:
      `printQueries` in interface `QueryMaker`